### Enumeration

# Xdp SpawnFlags

#### Declaration

    flags Xdp.SpawnFlags

#### Description [src]

Flags influencing the spawn operation and how the new sandbox is created.

#### Members

`XDP_SPAWN_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`XDP_SPAWN_FLAG_CLEARENV`

  Clear the environment.

  - Value: `1`
  - Available since: 1.0
`XDP_SPAWN_FLAG_LATEST`

  Spawn the latest version of the app.

  - Value: `2`
  - Available since: 1.0
`XDP_SPAWN_FLAG_SANDBOX`

  Spawn in a sandbox (equivalent to the —sandbox option of flatpak run).

  - Value: `4`
  - Available since: 1.0
`XDP_SPAWN_FLAG_NO_NETWORK`

  Spawn without network (equivalent to the —unshare=network option of flatpak run).

  - Value: `8`
  - Available since: 1.0
`XDP_SPAWN_FLAG_WATCH`

  Kill the sandbox when the caller disappears from the session bus.

  - Value: `16`
  - Available since: 1.0